def integer2roman(n):
    
    def doOneDigit(digit, caseNine, caseFive, caseOne):
        if digit == 9:
            return caseNine
        elif digit >= 5:
            return caseFive + caseOne * (digit - 5)
        elif digit == 4:
            return caseOne + caseFive
        else:
            return caseOne * digit
        
    romanNumeral = ""
    romanNumeral = romanNumeral + ("M" * (n//1000))
    
    digitHundred = (n // 100) % 10
    romanNumeral = romanNumeral +  doOneDigit(digitHundred, 'CM', 'D', 'C')
    
    digitTens = (n // 10) % 10
    romanNumeral = romanNumeral +  doOneDigit(digitTens, 'XC', 'L', 'X')
    
    digitOnes = n % 10
    romanNumeral = romanNumeral +  doOneDigit(digitOnes, 'IX', 'V', 'I')
    
    return romanNumeral
